package com.heyu.api.data.service.impl.vv;
/**
* <p>
* sku 与属性的对应关系 服务类
* </p>
*
* @author quyixiao
* @since 2025-08-22
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.vv.VvProductPropertyValueDao;
import com.heyu.api.data.entity.vv.VvProductPropertyValueEntity;
import com.heyu.api.data.service.vv.VvProductPropertyValueService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class VvProductPropertyValueServiceImpl extends ServiceImpl<VvProductPropertyValueDao, VvProductPropertyValueEntity> implements VvProductPropertyValueService {


    @Autowired
	private VvProductPropertyValueDao vvProductPropertyValueDao;



	@Override
	public VvProductPropertyValueEntity selectVvProductPropertyValueById(Long id){
		return vvProductPropertyValueDao.selectVvProductPropertyValueById(id);
	}



	@Override
	public Long insertVvProductPropertyValue(VvProductPropertyValueEntity vvProductPropertyValue){
		return vvProductPropertyValueDao.insertVvProductPropertyValue(vvProductPropertyValue);
	}



	@Override
	public Long insertOrUpdateVvProductPropertyValue(VvProductPropertyValueEntity vvProductPropertyValue){
		return vvProductPropertyValueDao.insertOrUpdateVvProductPropertyValue(vvProductPropertyValue);
	}



	@Override
	public int updateVvProductPropertyValueById(VvProductPropertyValueEntity vvProductPropertyValue){
		return vvProductPropertyValueDao.updateVvProductPropertyValueById(vvProductPropertyValue);
	}



	@Override
	public int updateCoverVvProductPropertyValueById(VvProductPropertyValueEntity vvProductPropertyValue){
		return vvProductPropertyValueDao.updateCoverVvProductPropertyValueById(vvProductPropertyValue);
	}



	@Override
	public int deleteVvProductPropertyValueById(Long id){
		return vvProductPropertyValueDao.deleteVvProductPropertyValueById(id);
	}



}
